THistogramFeeder< unsigned char > Class Reference

specialization of the THistogramFeeder for unsigned byte input data More...

`#include <mia/core/histogram.hh>`

Inheritance diagram for THistogramFeeder< unsigned char >:
[legend]
Collaboration diagram for THistogramFeeder< unsigned char >:
[legend]

## Public Types

typedef unsigned char | value_type
| typedef for generic programming

## Public Member Functions

size_t | index (unsigned char x) const
size_t | size () const
| THistogramFeeder (unsigned char min, unsigned char max, size_t bins)
| Construct the feeder, the parameters are ignored.
unsigned char | value (size_t k) const

## Detailed Description

specialization of the THistogramFeeder for unsigned byte input data

This specialization always uses the full range [0,256) of the input data and 256 bins.

Remarks
  is this really a good idea to specialize the histogram like this, because so it is not possible to use a different number of bins for unsigned byte

Definition at line 100 of file histogram.hh.

## Member Typedef Documentation

## value_type

typedef unsigned char THistogramFeeder< unsigned char >::value_type

typedef for generic programming

Definition at line 104 of file histogram.hh.

## Constructor & Destructor Documentation

## THistogramFeeder()

THistogramFeeder< unsigned char >::THistogramFeeder | ( | unsigned char | min,
|  | unsigned char | max,
|  | size_t | bins )

Construct the feeder, the parameters are ignored.

## Member Function Documentation

## index()

size_t THistogramFeeder< unsigned char >::index | ( | unsigned char | x | ) | const

Returns
  x

## size()

size_t THistogramFeeder< unsigned char >::size | ( |  | ) | const

Returns
  256

## value()

unsigned char THistogramFeeder< unsigned char >::value | ( | size_t | k | ) | const

Returns
  k

The documentation for this class was generated from the following file:

- histogram.hh